%global momorel 2
%global srcrel 74876
%global qtver 4.5.2
%global kdever 4.3.2
%global kdelibsrel 1m

Summary: KDE instant translator
Name: qtrans
Version: 0.2.1.11
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kde-apps.org/content/show.php/QTrans?content=74876
Group: Applications/Text
Source0: http://kde-apps.org/CONTENT/content-files/%{srcrel}-%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-0.2.1.4-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: desktop-file-utils

%description
QTrans is a Linux KDE instant translator that uses the Babylon dictionaries.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/qtrans.png %{buildroot}%{_datadir}/pixmaps/qtrans.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --remove-category X-Red-Hat-Base \
  --remove-category Application \
  --add-category Utility \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/QTrans.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc ChangeLog Copying README
%{_kde4_bindir}/qtrans
%{_kde4_datadir}/applications/kde4/QTrans.desktop
%{_kde4_appsdir}/qtrans
%{_kde4_iconsdir}/hicolor/*/apps/qtrans*.png
%{_datadir}/pixmaps/qtrans.png

%changelog
* Sun Oct 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.11-2m)
- replace tar-ball to new source

* Thu Oct 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.11-1m)
- version 0.2.1.11

* Sat Sep 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.10-4m)
- version 0.2.1.10-4

* Tue Aug 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.10-3m)
- version 0.2.1.10-2

* Wed Jul  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.10-2m)
- version 0.2.1.10-1

* Mon Jun 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.10-1m)
- version 0.2.1.10

* Mon May 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.9-2m)
- version 0.2.1.9-1

* Sat May 16 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.9-1m)
- version 0.2.1.9

* Wed May 13 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.8-1m)
- version 0.2.1.8

* Sun May  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.7-1m)
- version 0.2.1.7

* Sat Apr 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.6-1m)
- version 0.2.1.6

* Mon Mar  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.5-1m)
- version 0.2.1.5

* Tue Feb 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1.4-3m)
- source was updated to 0.2.1.4-3

* Tue Feb 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1.4-2m)
- source was updated to 0.2.1.4-2

* Sat Feb 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.4-1m)
- initial package for Momonga Linux
